X2Go Bug report logs - #623
x2goserver update to 4.0.1.16 breaks x2go

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>

Date: Thu, 2 Oct 2014 09:05:01 UTC

Severity: grave

Tags: pending

Found in version 4.0.1.16-0~935~ubuntu14.04.1

Fixed in version 4.0.1.17

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#623; Package x2goserver. (Thu, 02 Oct 2014 09:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 09:05:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2goserver update to 4.0.1.16 breaks x2go
Date: Thu, 2 Oct 2014 10:49:13 +0200
Package: x2goserver
Version: 4.0.1.16-0~935~ubuntu14.04.1

After the apt update to x2goserver 4.0.1.16 it is not possible to create new connections to the x2goserver. It must be connected to the modifications in the location of the session directories.
There was no server restart after the update (and can also not be executed), there were suspended and active sessions from the old x2goserver.
Any try to create a new connection ends up with the client status hang during "Starting" followed up by a time out error after a while.
The syslog is filled with messages like this:
Oct  2 08:28:12 ikkatrinsrv1 /usr/sbin/x2gocleansessions[12589]: neumann-77-1411537406_stRxfce4-terminal_dp32: state file for this session does not exists: /tmp/.x2go-neumann/C-neumann-77-1411537406_stRxfce4-terminal_dp32/state (this can be ignored during session startups)

The system is an Ubuntu 14.04.1 LTS on the most recent state. These other x2goserver related packages (x2goserver-extensions, x2goserver-fmbindings, x2goserver-printing, x2goserver-xsession) are also installed and at version 4.0.1.16. The remaining server configuration is complex using LDAP users and tmpreaper to regularly clean up tmp - but these directories are protected from clean-up '/tmp/.X11-unix /tmp/.x2go*'. It always worked with 4.0.1.15 and I truly liked the functionality of the x2go software.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#623; Package x2goserver. (Thu, 02 Oct 2014 10:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 10:15:02 GMT) Full text and rfc822 format available.

Message #10 received at 623@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>, 623@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#623: x2goserver update to 4.0.1.16 breaks x2go
Date: Thu, 02 Oct 2014 10:12:23 +0000
[Message part 1 (text/plain, inline)]
Control: severity -1 grave

Hi Martin,

On  Do 02 Okt 2014 10:49:13 CEST, Babutzka, Martin (EKP) wrote:

> After the apt update to x2goserver 4.0.1.16 it is not possible to  
> create new connections to the x2goserver. It must be connected to  
> the modifications in the location of the session directories.
> There was no server restart after the update (and can also not be  
> executed), there were suspended and active sessions from the old  
> x2goserver.
> Any try to create a new connection ends up with the client status  
> hang during "Starting" followed up by a time out error after a while.
> The syslog is filled with messages like this:
> Oct  2 08:28:12 ikkatrinsrv1 /usr/sbin/x2gocleansessions[12589]:  
> neumann-77-1411537406_stRxfce4-terminal_dp32: state file for this  
> session does not exists:  
> /tmp/.x2go-neumann/C-neumann-77-1411537406_stRxfce4-terminal_dp32/state  
> (this can be ignored during session startups)
>
> The system is an Ubuntu 14.04.1 LTS on the most recent state. These  
> other x2goserver related packages (x2goserver-extensions,  
> x2goserver-fmbindings, x2goserver-printing, x2goserver-xsession) are  
> also installed and at version 4.0.1.16. The remaining server  
> configuration is complex using LDAP users and tmpreaper to regularly  
> clean up tmp - but these directories are protected from clean-up  
> '/tmp/.X11-unix /tmp/.x2go*'. It always worked with 4.0.1.15 and I  
> truly liked the functionality of the x2go software.

This is a severe issue. I though this to be fixed [1], but just now  
found two other places (in x2golistsessions and x2golistsessions_root)  
where the X2Go Server can break running (non-state-file) sessions.

Are you able to and available for build(ing)+install(ing) x2goserver  
4.0.1.17-pre from Git for a test run (things cannot get worse for  
you...)?

Mike

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f243553a7fb5982c2283da39ecb4241e787dab28

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'grave' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 623-submit@bugs.x2go.org. (Thu, 02 Oct 2014 10:15:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#623; Package x2goserver. (Thu, 02 Oct 2014 10:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 10:25:01 GMT) Full text and rfc822 format available.

Message #17 received at 623@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 623-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 623@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 2 Oct 2014 12:24:17 +0200 (CEST)
tag #623 pending
fixed #623 4.0.1.17
thanks

Hello,

X2Go issue #623 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=a13accd

The issue will most likely be fixed in src:x2goserver (4.0.1.17).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a13accdd301d8096f95431dfc778cbb3e01d1926
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Oct 2 12:20:56 2014 +0200

     Fix breakage of X2Go Server when upgrading from 4.0.1.15 while sessions are still in running / suspended state. (Fixes: #623).

diff --git a/debian/changelog b/debian/changelog
index cc2d800..882863a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 x2goserver (4.0.1.17-0x2go1) UNRELEASED; urgency=medium
 
-  * Continue development...
+  * New upstream release (4.0.1.17):
+    - Fix breakage of X2Go Server when upgrading from 4.0.1.15 while
+      sessions are still in running / suspended state. (Fixes: #623).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 02 Oct 2014 12:18:58 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 02 Oct 2014 10:25:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.17. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 02 Oct 2014 10:25:02 GMT) Full text and rfc822 format available.

Message sent on to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
Bug#623. (Thu, 02 Oct 2014 10:25:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#623; Package x2goserver. (Thu, 02 Oct 2014 10:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 10:30:02 GMT) Full text and rfc822 format available.

Message #29 received at 623@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 623@bugs.x2go.org, "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>
Subject: Re: [X2Go-Dev] Bug#623: Bug#623: x2goserver update to 4.0.1.16 breaks x2go
Date: Thu, 02 Oct 2014 10:27:48 +0000
[Message part 1 (text/plain, inline)]
Hi Martin,

On  Do 02 Okt 2014 12:12:23 CEST, Mike Gabriel wrote:

> Control: severity -1 grave
>
> Hi Martin,
>
> On  Do 02 Okt 2014 10:49:13 CEST, Babutzka, Martin (EKP) wrote:
>
>> After the apt update to x2goserver 4.0.1.16 it is not possible to  
>> create new connections to the x2goserver. It must be connected to  
>> the modifications in the location of the session directories.
>> There was no server restart after the update (and can also not be  
>> executed), there were suspended and active sessions from the old  
>> x2goserver.
>> Any try to create a new connection ends up with the client status  
>> hang during "Starting" followed up by a time out error after a while.
>> The syslog is filled with messages like this:
>> Oct  2 08:28:12 ikkatrinsrv1 /usr/sbin/x2gocleansessions[12589]:  
>> neumann-77-1411537406_stRxfce4-terminal_dp32: state file for this  
>> session does not exists:  
>> /tmp/.x2go-neumann/C-neumann-77-1411537406_stRxfce4-terminal_dp32/state  
>> (this can be ignored during session startups)
>>
>> The system is an Ubuntu 14.04.1 LTS on the most recent state. These  
>> other x2goserver related packages (x2goserver-extensions,  
>> x2goserver-fmbindings, x2goserver-printing, x2goserver-xsession)  
>> are also installed and at version 4.0.1.16. The remaining server  
>> configuration is complex using LDAP users and tmpreaper to  
>> regularly clean up tmp - but these directories are protected from  
>> clean-up '/tmp/.X11-unix /tmp/.x2go*'. It always worked with  
>> 4.0.1.15 and I truly liked the functionality of the x2go software.
>
> This is a severe issue. I though this to be fixed [1], but just now  
> found two other places (in x2golistsessions and  
> x2golistsessions_root) where the X2Go Server can break running  
> (non-state-file) sessions.
>
> Are you able to and available for build(ing)+install(ing) x2goserver  
> 4.0.1.17-pre from Git for a test run (things cannot get worse for  
> you...)?
>
> Mike
>
> [1]  
> http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f243553a7fb5982c2283da39ecb4241e787dab28

Please grab these to files from Git:

/usr/sbin/x2golistsessions_root:
http://code.x2go.org/gitweb?p=x2goserver.git;a=blob_plain;f=x2goserver/sbin/x2golistsessions_root;h=d562fa3140ef9fc523f9e5283f183f9e36639026;hb=a13accdd301d8096f95431dfc778cbb3e01d1926

/usr/bin/x2golistsessions:
http://code.x2go.org/gitweb?p=x2goserver.git;a=blob_plain;f=x2goserver/bin/x2golistsessions;h=dc78ec349e49063f0a97bcd3a3fb8817ae3e87e7;hb=a13accdd301d8096f95431dfc778cbb3e01d1926

Replace those two files on your system with the version currently in  
Git (release/4.0.1.x branch) and report back if that fixes session  
startup for you.

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#623; Package x2goserver. (Thu, 02 Oct 2014 10:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 10:45:02 GMT) Full text and rfc822 format available.

Message #34 received at 623@bugs.x2go.org (full text, mbox):

From: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, "623@bugs.x2go.org" <623@bugs.x2go.org>
Subject: AW: [X2Go-Dev] Bug#623: x2goserver update to 4.0.1.16 breaks x2go
Date: Thu, 2 Oct 2014 12:21:56 +0200
Hello Mike,

I agree it is a severe problem. Please notice that the effect was vice versa to your comment: Old sessions continued running with no effect but it was not possible to start new sessions. I have no idea how the running session and in-memory binaries and libraries might have contributed to the effect (maybe a system restart would have helped, a restart of /etc/init.d/x2goserver did NOT help).
I am sorry I cannot help further with beta-experiments. It is a productive remote system for science with 20+ active users. To resolve the issue asap I turned to the Baikal LTS ppa and installed the x2goserver 4.0.0.11. It resolved all issues immediately.

Kind regards,
Martin


*****
Martin Babutzka
Karlsruher Institut für Technologie (KIT), ITEP-TLK und IEKP
Email: martin.babutzka@kit.edu
Tel.: +49 721 608 24041 (TLK)
oder: +49 721 608 24097 (IK)


-----Ursprüngliche Nachricht-----
Von: Mike Gabriel [mailto:mike.gabriel@das-netzwerkteam.de] 
Gesendet: Donnerstag, 2. Oktober 2014 12:12
An: Babutzka, Martin (EKP); 623@bugs.x2go.org
Betreff: Re: [X2Go-Dev] Bug#623: x2goserver update to 4.0.1.16 breaks x2go

Control: severity -1 grave

Hi Martin,

On  Do 02 Okt 2014 10:49:13 CEST, Babutzka, Martin (EKP) wrote:

> After the apt update to x2goserver 4.0.1.16 it is not possible to 
> create new connections to the x2goserver. It must be connected to the 
> modifications in the location of the session directories.
> There was no server restart after the update (and can also not be 
> executed), there were suspended and active sessions from the old 
> x2goserver.
> Any try to create a new connection ends up with the client status hang 
> during "Starting" followed up by a time out error after a while.
> The syslog is filled with messages like this:
> Oct  2 08:28:12 ikkatrinsrv1 /usr/sbin/x2gocleansessions[12589]:  
> neumann-77-1411537406_stRxfce4-terminal_dp32: state file for this 
> session does not exists:
> /tmp/.x2go-neumann/C-neumann-77-1411537406_stRxfce4-terminal_dp32/stat
> e (this can be ignored during session startups)
>
> The system is an Ubuntu 14.04.1 LTS on the most recent state. These 
> other x2goserver related packages (x2goserver-extensions, 
> x2goserver-fmbindings, x2goserver-printing, x2goserver-xsession) are 
> also installed and at version 4.0.1.16. The remaining server 
> configuration is complex using LDAP users and tmpreaper to regularly 
> clean up tmp - but these directories are protected from clean-up 
> '/tmp/.X11-unix /tmp/.x2go*'. It always worked with 4.0.1.15 and I 
> truly liked the functionality of the x2go software.

This is a severe issue. I though this to be fixed [1], but just now found two other places (in x2golistsessions and x2golistsessions_root) where the X2Go Server can break running (non-state-file) sessions.

Are you able to and available for build(ing)+install(ing) x2goserver 4.0.1.17-pre from Git for a test run (things cannot get worse for you...)?

Mike

[1]
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f243553a7fb5982c2283da39ecb4241e787dab28

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#623; Package x2goserver. (Fri, 03 Oct 2014 15:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 03 Oct 2014 15:40:02 GMT) Full text and rfc822 format available.

Message #39 received at 623@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 623-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 623@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 3 Oct 2014 17:35:43 +0200 (CEST)
close #623
thanks

Hello,

we are very hopeful that X2Go issue #623 reported by you
has been resolved in the new release (4.0.1.17) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.17)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6b428c94f421bc5ee21dc40b8507d84172dd7734;hp=ddbb2f0df266094ccdc61bee00e0b955a4e08c4f

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.17-0x2go1
Status: RELEASE
Date: Fri, 03 Oct 2014 17:09:23 +0200
Fixes: 623 626
Changes: 
 x2goserver (4.0.1.17-0x2go1) RELEASED; urgency=medium
 .
   * New upstream release (4.0.1.17):
     - Fix breakage of X2Go Server when upgrading from 4.0.1.15 while
       sessions are still in running / suspended state. (Fixes: #623).
     - Handle stale X11 socket files in cases where x2goagent has
       mysteriously disappeared (e.g. kill -9). (Fixes: #626).
     - Make sure that incompletely started up sessions get wiped from the
       session DB after 10 seconds.
     - Fix unreliable removal of client-side folder sharing desktop
       icons.
     - Update date in several man pages.
   * debian/control:
     + Upgrade x2goserver-xsession from Suggests: to Recommends:.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 03 Oct 2014 15:40:03 GMT) Full text and rfc822 format available.

Notification sent to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
Bug acknowledged by developer. (Fri, 03 Oct 2014 15:40:03 GMT) Full text and rfc822 format available.

Message sent on to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
Bug#623. (Fri, 03 Oct 2014 15:40:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 01 Nov 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 10:37:54 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.